import { csv, select,symbolCross,
  symbolDiamond,
  symbolSquare } from 'd3';
import { scatterPlot } from './scatterPlot';
//Reading the CSV file
const csvUrl = [
  'https://gist.githubusercontent.com/sampath5/87dc63b3889b71f607b689cbedd2efb5/raw/8c960175e550296a8c0e6212e8a685a3fa781035/iris.csv',
  
].join('');
//Reading the csv data
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);
//Plotting the points on scatter plot
const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.petal_width)
    .yValue((d) => d.sepal_length)
    .margin({
      top: 20,
      right: 20,
      bottom: 70,
      left: 80,
    })
  	
    .radius(5);
  	//aDDING the legends for the plot
        svg.append("text")
           .attr("x", 150)
           .attr("y", 70)
           .text("Setosa")
           .style("font-size", "20px")
           .attr("alignment-baseline","middle")
        
				svg.append("text")
           .attr("x", 150)
           .attr("y", 100)
           .text("virginica")
           .style("font-size", "20px")
           .attr("alignment-baseline","middle")
        
				svg.append("text")
           .attr("x", 150)
           .attr("y", 130) 
           .text("versicolor")
           .style("font-size", "20px")
           .attr("alignment-baseline","middle")
    // Add points for legend
    svg.append("circle").attr("cx",130).attr("cy",70).attr("r", 6).style("fill", "orange")
		svg.append("circle").attr("cx",130).attr("cy",100).attr("r", 6).style("fill", '#56486c')
		svg.append("circle").attr("cx",130).attr("cy",130).attr("r", 6).style("fill", '#f51e05')
      
  svg.call(plot);

  const columns = [
    'petal_width',
    'sepal_width',
    'petal_length',
    'sepal_length',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 2000);
};
main();



